// NFCDialog.cpp : implementation file
//

#include "stdafx.h"
//#include "	\ add additional includes here"
#include "NFCDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BOOL nfc_load_bitmap(LPCTSTR i_FileName, CBitmap & o_Bitmap);
void nfc_unload_bitmap(CBitmap & o_Bitmap);

/////////////////////////////////////////////////////////////////////////////
// NFCDialog dialog

NFCDialog::NFCDialog(UINT i_IDD, CWnd* pParent /*=NULL*/)
	: CDialog(i_IDD, pParent)
{
	//{{AFX_DATA_INIT(NFCDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void NFCDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(NFCDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(NFCDialog, CDialog)
	//{{AFX_MSG_MAP(NFCDialog)
	ON_WM_ERASEBKGND()
	ON_WM_MOUSEMOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NFCDialog message handlers

BOOL NFCDialog::OnEraseBkgnd(CDC* pDC) 
{
	// TODO: Add your message handler code here and/or call default
	if(m_Bitmap.GetSafeHandle())
	{
		CDC MemoryDC;
		MemoryDC.CreateCompatibleDC(pDC);

		CBitmap* pOldObject = MemoryDC.SelectObject(&m_Bitmap);

		pDC->BitBlt(0, 0, m_BitmapSize.cx, m_BitmapSize.cy, &MemoryDC, 0, 0, SRCCOPY);

		MemoryDC.SelectObject(pOldObject);

		return FALSE;
	}

	/*	
	// üũ̷ ̱
	CDC memDC;
	memDC.CreateCompatibleDC(pDC);
	CBitmap* pOld = memDC.SelectObject(&m_BackImage);
	CRect rect;
	GetClientRect(rect);

	for(int y=0; y<rect.Height(); y+=m_Size.cy)
		for(int x=0; x<rect.Width(); x+=m_Size.cx){
			pDC->BitBlt(x, y, m_Size.cx, m_Size.cy, &memDC, 0,0, SRCCOPY);
		}
	memDC.SelectObject(pOld);

	return TRUE;
	*/
	
	return CDialog::OnEraseBkgnd(pDC);
}

/*
void NFCDialog::SetBitmap(LPCTSTR i_FileName)
{
	NFTraceInstance("NFCDialog::SetBitmap");

	if(nfc_load_bitmap(i_FileName, m_Bitmap))
	{
		BITMAP Bitmap;
		m_Bitmap.GetBitmap(&Bitmap);
		m_BitmapSize = CSize(Bitmap.bmWidth, Bitmap.bmHeight);

		this->SetWindowPos(NULL, 0, 0, m_BitmapSize.cx, m_BitmapSize.cy, SWP_NOMOVE | SWP_NOZORDER);
	}
}
*/

void NFCDialog::LoadBitmap(LPCTSTR i_FileName)
{
	if(nfc_load_bitmap(i_FileName, m_Bitmap))
	{
		BITMAP Bitmap;
		m_Bitmap.GetBitmap(&Bitmap);
		m_BitmapSize = CSize(Bitmap.bmWidth, Bitmap.bmHeight);

		this->SetWindowPos(NULL, 0, 0, m_BitmapSize.cx, m_BitmapSize.cy, SWP_NOMOVE | SWP_NOZORDER);
	}

	this->SendMessageToDescendants(WM_USER + 1234);
}

void NFCDialog::UnloadBitmap()
{
	nfc_unload_bitmap(m_Bitmap);
}

void NFCDialog::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	if(nFlags == MK_LBUTTON)
	{
		PostMessage(WM_NCLBUTTONDOWN,HTCAPTION,MAKELPARAM(point.x,point.y));
	}
	
	CDialog::OnMouseMove(nFlags, point);
}

NFCDialog::~NFCDialog()
{
	this->UnloadBitmap();
}
