// NFCListCtrl.cpp : implementation file
//

#include "stdafx.h"
//#include "	\ add additional includes here"
#include "NFCListCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// NFCListCtrl

NFCListCtrl::NFCListCtrl()
{
}

NFCListCtrl::~NFCListCtrl()
{
}

BEGIN_MESSAGE_MAP(NFCListCtrl, CListCtrl)
	//{{AFX_MSG_MAP(NFCListCtrl)
	ON_WM_ERASEBKGND()
	ON_NOTIFY_REFLECT(NM_CUSTOMDRAW, OnCustomdraw)
	ON_NOTIFY_REFLECT_EX(LVN_ITEMCHANGED, OnItemchanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NFCListCtrl message handlers

BOOL NFCListCtrl::OnEraseBkgnd(CDC* pDC) 
{
	// TODO: Add your message handler code here and/or call default
	//CListCtrl::SetBkColor(CLR_NONE);
	CListCtrl::SetTextBkColor(CLR_NONE);
	
	return FALSE;
	//return CListCtrl::OnEraseBkgnd(pDC);
}

BOOL NFCListCtrl::OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	CRect Rect;
	this->GetWindowRect(Rect);
	this->GetParent()->ScreenToClient(Rect);
	this->GetParent()->InvalidateRect(Rect);

	*pResult = 0;

	return FALSE;	// θ  ޼ ٷ ȸ ش
}

void NFCListCtrl::OnCustomdraw(NMHDR *pNMHDR, LRESULT *pResult)
{
	LPNMLVCUSTOMDRAW pCustomDraw = (LPNMLVCUSTOMDRAW)pNMHDR;

	static BOOL Flag = FALSE;

	switch(pCustomDraw->nmcd.dwDrawStage)
	{
	case CDDS_PREPAINT:
		if(Flag = !Flag)
		{
			CRect Rect;
			this->GetWindowRect(Rect);
			this->GetParent()->ScreenToClient(Rect);
			this->GetParent()->InvalidateRect(Rect);
		}
		*pResult = CDRF_NOTIFYITEMDRAW;
		break;
	case CDDS_ITEMPREPAINT:
		*pResult = CDRF_NOTIFYSUBITEMDRAW;
		break;
	case CDDS_ITEMPREPAINT | CDDS_SUBITEM:
		{
			void * pColorText;
			if(m_TextColorMap.Lookup((void *) pCustomDraw->iSubItem, pColorText))
			{
				pCustomDraw->clrText = (COLORREF) pColorText;
			}
		}
		
        *pResult = CDRF_DODEFAULT;
		break;
	default:	
		*pResult = CDRF_DODEFAULT;
		break;
	}
}

void NFCListCtrl::SetColumnTextColor(COLORREF i_Color, int i_Column)
{
	m_TextColorMap.SetAt((void *) i_Column, (void *) i_Color);
}
