// NFCTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NFCTest.h"
#include "NFCTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNFCTestDlg dialog

CNFCTestDlg::CNFCTestDlg(CWnd* pParent /*=NULL*/)
	: NFCDialog(CNFCTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNFCTestDlg)
	m_StringTest = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CNFCTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNFCTestDlg)
	DDX_Control(pDX, IDC_LIST_BOX, m_ListBox);
	DDX_Control(pDX, IDC_LIST_TEST, m_ListCtrlTest);
	DDX_Control(pDX, IDC_SLIDER_TEST, m_SliderCtrlTest);
	DDX_Control(pDX, IDC_EDIT_TEST, m_EditTest);
	DDX_Control(pDX, IDC_STATIC_TEST, m_StaticTest);
	DDX_Control(pDX, IDC_BUTTON1, m_Button);
	DDX_Text(pDX, IDC_STATIC_TEST, m_StringTest);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CNFCTestDlg, NFCDialog)
	//{{AFX_MSG_MAP(CNFCTestDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton)
	ON_NOTIFY(LVN_ITEMCHANGED, IDC_LIST_TEST, OnItemchangedListTest)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNFCTestDlg message handlers

BOOL CNFCTestDlg::OnInitDialog()
{
	//NFTRACE_USED("CNFCTestDlg::OnInitDialog");
	NFTRACE_USED;

	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	TRACE("Good Job");

	NFCDialog::LoadBitmap("./Image/mingu1023_9.bmp");
	NFCDialog::UnloadBitmap();
	NFCDialog::LoadBitmap("./Image/mingu1023_9.bmp");

	m_Button.LoadBitmapUp("./Image/ok_up.bmp");
	m_Button.LoadBitmapDown("./Image/ok_down.bmp");
	m_Button.UnloadBitmap();

	m_Button.LoadBitmapUp("./Image/ok_up.bmp");
	//m_Button.SetPosition(240, 270);
	//m_Button.SetWindowPos(NULL, 240, 270, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
	m_Button.MoveWindow(240, 270, 0, 0);
	//m_Button.EnableWindow(FALSE);
	
	m_StaticTest.SetTextColor(RGB(255, 255, 255));
	m_StringTest = "ٺ";
	this->UpdateData(FALSE);

	//m_EditTest.SetBackgroundColor(RGB(0, 128, 128));
	//m_EditTest.SetTextColor(RGB(255, 0, 0));
	m_EditTest.SetWindowText("ȳ");
	m_EditTest.MoveWindow(10, 250, 60, 20);

	m_SliderCtrlTest.MoveWindow(20, 20, 200, 50);

	m_ListCtrlTest.InsertColumn(0, "");
	m_ListCtrlTest.SetColumnWidth(0, 80);
	m_ListCtrlTest.InsertColumn(1, "");
	m_ListCtrlTest.SetColumnWidth(1, 90);

	m_ListCtrlTest.SetExtendedStyle(LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES | LVS_EX_FLATSB | LVS_EX_CHECKBOXES);

	m_ListCtrlTest.SetColumnTextColor(RGB(0, 255, 0), 1);
	m_ListCtrlTest.SetColumnTextColor(RGB(255, 0, 0), 0);

	int InsertedIndex;
	
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο1");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ1");
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο2");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ2");
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο3");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ3");
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο4");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ4");
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο5");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ5");
	InsertedIndex = m_ListCtrlTest.InsertItem(m_ListCtrlTest.GetItemCount(), "ο6");
	m_ListCtrlTest.SetItemText(InsertedIndex, 1, "׳ɼ6");
	
	m_ListBox.InsertString(0, "ο1");
	m_ListBox.InsertString(0, "ο2");
	m_ListBox.InsertString(0, "ο3");
	m_ListBox.InsertString(0, "ο4");
	m_ListBox.InsertString(0, "ο5");
	m_ListBox.InsertString(0, "ο6");
	m_ListBox.InsertString(0, "ο7");
	m_ListBox.InsertString(0, "ο8");
	m_ListBox.InsertString(0, "ο9");
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CNFCTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CNFCTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CNFCTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CNFCTestDlg::OnButton() 
{
	// TODO: Add your control notification handler code here
//	m_StringTest = "˰";
//	this->UpdateData(FALSE);
	m_StaticTest.SetWindowText("˰");

	CNFCTestDlg::LoadBitmap("./Image/command_setup.bmp");
	m_ListBox.SetCurSel(m_ListBox.GetCurSel() + 1);
	//ListView_SetExtendedListViewStyle(m_ListCtrlTest.m_hWnd,LVS_EX_FULLROWSELECT|LVS_EX_GRIDLINES|LVS_EX_FLATSB|LVS_EX_HEADERDRAGDROP );
	//m_SliderCtrlTest.MoveWindow(20, 20, 200, 51);

	//this->Invalidate();
//	m_ListCtrlTest.SetBkImage(TEXT("C:\\command_setup.bmp"));
//	m_ListCtrlTest.SetBkColor(CLR_NONE);
//	m_ListCtrlTest.SetTextBkColor(CLR_NONE); 
}

void CNFCTestDlg::OnItemchangedListTest(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	
	*pResult = 0;
}
