// NFCSliderCtrl.cpp : implementation file
//

#include "stdafx.h"
//#include "	\ add additional includes here"
#include "NFCSliderCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

void nfc_capture_background(CWnd * i_pControl, CDC & o_CaptureDC, CRect & o_Rect);

/////////////////////////////////////////////////////////////////////////////
// NFCSliderCtrl

NFCSliderCtrl::NFCSliderCtrl()
{
//	m_Refresh = TRUE;
}

NFCSliderCtrl::~NFCSliderCtrl()
{
	if(m_CaptureDC.GetSafeHdc() != NULL)
	{
		m_CaptureDC.DeleteDC();
	}
}


BEGIN_MESSAGE_MAP(NFCSliderCtrl, CSliderCtrl)
	//{{AFX_MSG_MAP(NFCSliderCtrl)
	ON_NOTIFY_REFLECT(NM_CUSTOMDRAW, OnCustomdraw)
	ON_WM_ERASEBKGND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NFCSliderCtrl message handlers

void NFCSliderCtrl::OnCustomdraw(NMHDR* pNMHDR, LRESULT* pResult)
//
// Description	:	Sent by the slider control to notify the parent window 
//					about drawing operations. This notification is sent in 
//					the form of a WM_NOTIFY message.
// Parameters	:	pNMHDR - a pointer to a NM_CUSTOMDRAW structure.
//					pResult - value depends on the current drawing state.
{
	NFTRACE_USED("NFCSliderCtrl::OnCustomdraw");
	// TODO: Add your control notification handler code here
	//LPNMCUSTOMDRAW lpNMCustomDraw = (LPNMCUSTOMDRAW)pNMHDR;
	LPNMCUSTOMDRAW lpcd = (LPNMCUSTOMDRAW)pNMHDR;
	
	switch(lpcd->dwDrawStage)
	{
	case CDDS_PREPAINT:
		TRACE("CDDS_PREPAINT");
		*pResult = CDRF_NOTIFYITEMDRAW;
		break;
	case CDDS_ITEMPREPAINT:
		//TRACE("CDDS_ITEMPREPAINT");
		TRACE("CDDS_ITEMPREPAINT : %d", lpcd->dwItemSpec);

		if(lpcd->dwItemSpec == TBCD_CHANNEL)
		{
			//  Ʈ ĸ
			if(m_CaptureDC.GetSafeHdc() == NULL)
			//if(m_Refresh)
			{
				TRACE(" Ʈ ĸ\n");
				::nfc_capture_background(this, m_CaptureDC, m_Rect);
				//m_Refresh = FALSE;
			}

			// ũ ̹ 

			//This bit does the tics marks transparently.
			//create a memory dc to hold a copy of the oldbitmap data that includes the tics,
			//because when we add the background in we will lose the tic marks

			CDC * pDC = CDC::FromHandle(lpcd->hdc); // Ʈ DC

			//set the colours for the monochrome mask bitmap
			COLORREF crOldBack = pDC->SetBkColor(RGB(0,0,0));
			COLORREF crOldText = pDC->SetTextColor(RGB(255,255,255));

		// SaveCDC
			CDC SaveCDC;
			SaveCDC.CreateCompatibleDC(pDC);
			CBitmap SaveCBmp;
			SaveCBmp.CreateCompatibleBitmap(&SaveCDC, m_Rect.Width(), m_Rect.Height());
			CBitmap* SaveCBmpOld = (CBitmap *)SaveCDC.SelectObject(SaveCBmp);
			
			//copy the oldbitmap data into the bitmap, this includes the tics.
			SaveCDC.BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), pDC, m_Rect.left, m_Rect.top, SRCCOPY);

		// maskDC
			//fill in the memory dc for the mask
			CDC maskDC;
			maskDC.CreateCompatibleDC(&SaveCDC);
			//create a monochrome bitmap
			CBitmap maskBitmap;
			maskBitmap.CreateBitmap(m_Rect.Width(), m_Rect.Height(), 1, 1, NULL);
			//select the mask bitmap into the dc
			CBitmap* OldmaskBitmap = maskDC.SelectObject(&maskBitmap);

			// 
			
			//1.  ó ȭ鿡 
			//now copy the background into the slider
			pDC->BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &m_CaptureDC, 0, 0, SRCCOPY);
			//::BitBlt(lpcd->hdc, 0, 0, Width, Height, m_dcBk.m_hDC, 0, 0, SRCCOPY);

			// Blit the mask based on background colour
			// To convert color to monochrome, 
			// BitBlt sets pixels that match the background color to white(1) and sets all other pixels to black(0)
			maskDC.BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &SaveCDC, 0, 0, SRCCOPY);

			/*
			 *	 ؼ  Ʈ   XOR ϸ  ״ ´
			 *	ι° XOR  ũ ̹ AND ָ  ߰ κ  0 ȴ
			 *	0 XOR ڱ ڽ   0 κ   Ʈ ä
			 *	 κ ƹ ȭ XOR   ߱   ״ ȴ
			 */
			// Blit the image using the mask
			// 2.  Ʈʰ XOR
			pDC->BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &SaveCDC, 0, 0, SRCINVERT);
			// 3. backgound ܵΰ  0 
			// When the BitBlt function converts a monochrome bitmap to color, 
			// it sets white bits (1) to the background color and black bits (0) to the foreground color
			pDC->BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &maskDC, 0, 0, SRCAND);
			// 4. 0  κа XORϸ ڱڽ ״ ´
			pDC->BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &SaveCDC, 0, 0, SRCINVERT);

			//restore and clean up
			pDC->SetBkColor(crOldBack);
			pDC->SetTextColor(crOldText);

			SaveCBmp.DeleteObject();
			//DeleteObject(SelectObject(SaveCDC, SaveCBmpOld));

			SaveCDC.DeleteDC();
			//DeleteDC(SaveCDC);
			
			maskBitmap.DeleteObject();
			//DeleteObject(maskDC.SelectObject(OldmaskBitmap));

			maskDC.DeleteDC();
			//DeleteDC(maskDC);
		}
		*pResult = CDRF_DODEFAULT;
		break;
	default:
		*pResult = CDRF_DODEFAULT;
		break;
	}
}

BOOL NFCSliderCtrl::OnEraseBkgnd(CDC* pDC) 
{
	// TODO: Add your message handler code here and/or call default
	NFTRACE_USED("NFCSliderCtrl::OnEraseBkgnd");
	//this->m_Rect

	//m_Refresh = TRUE;

	if(m_CaptureDC.GetSafeHdc())
	{
		VERIFY(m_CaptureDC.DeleteDC());

		static CRect rect;
		rect = m_Rect;
		this->SetWindowPos(NULL, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOZORDER);
		this->SetWindowPos(NULL, 0, 0, rect.Width(), rect.Height(), SWP_NOMOVE | SWP_NOZORDER);
	}

	return TRUE; // TRUE FALSE , Default ൿ  ȴ
	//return CSliderCtrl::OnEraseBkgnd(pDC);
}

/*
void NFCSliderCtrl::OnWindowPosChanged(WINDOWPOS FAR* lpwndpos) 
{
	NFTRACE_USED("NFCSliderCtrl::OnWindowPosChanged");
	CSliderCtrl::OnWindowPosChanged(lpwndpos);
	
	// TODO: Add your message handler code here
	//m_Refresh = TRUE;
	if(m_CaptureDC.GetSafeHdc())
	{
		VERIFY(m_CaptureDC.DeleteDC());
	}
}
*/

//DEL void NFCSliderCtrl::OnMove(int x, int y) 
//DEL {
//DEL 	CSliderCtrl::OnMove(x, y);
//DEL 	
//DEL 	// TODO: Add your message handler code here
//DEL 	if(m_CaptureDC.GetSafeHdc())
//DEL 	{
//DEL 		VERIFY(m_CaptureDC.DeleteDC());
//DEL 	}
//DEL }

//DEL void NFCSliderCtrl::OnSize(UINT nType, int cx, int cy) 
//DEL {
//DEL 	CSliderCtrl::OnSize(nType, cx, cy);
//DEL 	
//DEL 	// TODO: Add your message handler code here
//DEL 	if(m_CaptureDC.GetSafeHdc())
//DEL 	{
//DEL 		VERIFY(m_CaptureDC.DeleteDC());
//DEL 	}
//DEL }

/*
void NFCSliderCtrl::CaptureBackground()
{
	GetClientRect(m_Rect); // client coordinates

	CRect Rect;
	this->GetWindowRect(Rect); // screen coordinates relative to the upper-left corner of the display screen
	this->GetParent()->ScreenToClient(Rect); // The new coordinates are relative to the upper-left corner of the CWnd client area
	
	//if(m_dcBk.m_hDC == NULL) // ó    ִ±
	{
		ASSERT(this->GetParent());

		CClientDC ClientDC(this->GetParent());

		//VERIFY(m_CaptureDC.DeleteDC());
		// DC 
		VERIFY(m_CaptureDC.CreateCompatibleDC(&ClientDC));

		CBitmap CaptureBitmap;
		VERIFY(CaptureBitmap.CreateCompatibleBitmap(&ClientDC, m_Rect.Width(), m_Rect.Height()));
		m_CaptureDC.SelectObject(CaptureBitmap);
		m_CaptureDC.BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &ClientDC, Rect.left, Rect.top, SRCCOPY);

		CDC BackgroundDC;

		// DC 
		BackgroundDC.CreateCompatibleDC(&ClientDC);

		// Ʈ 
		if(m_BackgroundBitmap.GetSafeHandle())
		{
			m_BackgroundBitmap.DeleteObject();
		}
		m_BackgroundBitmap.CreateCompatibleBitmap(&ClientDC, m_Rect.Width(), m_Rect.Height());

		// DC Ʈ Select  ְ
		BackgroundDC.SelectObject(&m_BackgroundBitmap);

		// ̴ ִ ġ θ Ʈ ͼ 
		BackgroundDC.BitBlt(0, 0, m_Rect.Width(), m_Rect.Height(), &ClientDC, Rect.left, Rect.top, SRCCOPY);

		BackgroundDC.DeleteDC();
	}
}
*/

//DEL void NFCSliderCtrl::OnNcPaint() 
//DEL {
//DEL 	// TODO: Add your message handler code here
//DEL 	NFTraceInstance("NFCSliderCtrl::OnNcPaint");
//DEL 	
//DEL 	// Do not call CSliderCtrl::OnNcPaint() for painting messages
//DEL }

//DEL BOOL NFCSliderCtrl::OnChildNotify(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pLResult) 
//DEL {
//DEL 	// TODO: Add your specialized code here and/or call the base class
//DEL 	NFTRACE("message : %d", message);
//DEL 	return CSliderCtrl::OnChildNotify(message, wParam, lParam, pLResult);
//DEL }
